%define anolis_release 2

%global debug_package %{nil}

Name:           gsettings-desktop-schemas
Version:        44.0
Release:        %{anolis_release}%{?dist}
Summary:        A collection of GSettings schemas
License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/gsettings-desktop-schemas
Source0:        https://download.gnome.org/sources/gsettings-desktop-schemas/44/%{name}-%{version}.tar.xz

BuildRequires:  gettext pkgconfig(glib-2.0) >= 2.31.0 meson >= 0.57.0
BuildRequires:  pkgconfig(gobject-introspection-1.0)

Requires: glib2 >= 2.31.0

Recommends: font(cantarell)
Recommends: font(sourcecodepro)

%description
gsettings-desktop-schemas contains a collection of GSettings schemas for
settings shared by various components of a desktop.  These schemas are 
written in XML and define an application’s settings and default values.
These schemas can be used in applications to read and write settings at runtime.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Buildarch:      noarch

%description    devel
The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
glib-compile-schemas --dry-run --strict %{buildroot}%{_datadir}/glib-2.0/schemas


%files -f %{name}.lang
%license COPYING
%{_libdir}/girepository-1.0/GDesktopEnums-3.0.typelib
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/GConf/gsettings/gsettings-desktop-schemas.convert
%{_datadir}/GConf/gsettings/wm-schemas.convert

%files devel
%{_includedir}/*
%{_datadir}/pkgconfig/*
%{_datadir}/gir-1.0/GDesktopEnums-3.0.gir

%files doc
%doc AUTHORS NEWS MAINTAINERS README HACKING

%changelog
* Tue Apr 11 2023 yuanhui <yuanhui@linux.alibaba.com> - 44.0-2
- Optimize the spec file

* Tue Mar 28 2023 Funda Wang <fundawang@yeah.net> - 44.0-1
- New version 44.0

* Tue Mar 07 2023 happy_orange <songnannan@linux.alibaba.com> - 44~beta-1
- update to 44~beta

* Wed Oct 26 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 42.0-2
- add doc package

* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 42.0-1
- Init from upstream version 42.0

